Skip to main content

Get All Mm Templates In Group

GET 

/v1/sandbox/:sandbox_id/match-making-template-group/:match_making_template_group_id/match-making-template

Get all MatchMakingTemplates in a MatchMakingTemplateGroup

Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    match_making_template_group_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Query Parameters

    page_size Page Size

    Possible values: >= 1 and <= 10000

    Default value: 50

    The maximum number of elements to be returned per call

    cursor Cursor

    Possible values: non-empty and <= 128 characters

    Default value: 0

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

Responses

Successful Response

Schema

    cursor Cursor (string)required

    Possible values: non-empty and <= 128 characters

    Cursor to designate where you are in iterating through values. Start with '0', and pass this on subsequent calls to continue iteration

    match_making_templates

    object[]

    List of MatchMakingTemplates

  • Array [

  • match_making_template_id uuidrequired

    ID to uniquely identify this MatchMakingTemplate

    match_making_template_group_id uuidrequired

    Which group of MatchMakingTemplates this template belongs to

    mmr_grouping_method MMR Grouping Method (string)required

    Possible values: [worst, best, avg_weighted_by_sigma, avg]

    What method should be used to determine a linking's group MMR based on the individuals

    match_making_ruleset_id uuid

    Which ruleset needs to be satisfied to use this template

    match_making_profile_list_id uuidrequired

    Which list of MatchMakingProfiles should be used with this template

    order Order (integer)required

    Order in which this template will be used

    legacy_config

    object

    Old config used by Legacy systems. These values are ignored by the current APIs

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    ruleset

    object

    This mixin is meant to give a set of common properties to root config models

    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    ruleset_determiner Determiner (string)

    Possible values: [allOf, anyOf, oneOf, noneOf]

    Default value: allOf

    Determiner for how many rules must be satisifed in this ruleset (all, any, one, none)

    players_to_validate Players to Validate (string)

    Possible values: [leader, all_members, any_member]

    Default value: leader

    Which subset of players need to satisfy this ruleset for it to be considered valid

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    match_making_ruleset_id uuidrequired

    ID to uniquely identify this MatchMakingRuleset

    rules

    object[]

    A list of the rules to be checked for this ruleset

  • Array [

  • name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    custom_data

    object

    Custom data associated with the resource

    property name* string
    match_making_ruleset_id uuidrequired

    Which ruleset this MatchMakingRule belongs to

    comparison_operation Comparison Operation (string)required

    Possible values: [eq, ne, lt, le, gt, ge, in_set, not_in_set]

    Which comparison operator is used when evaluating the rule

    item_id uuid

    What item is being compared if this is an Inventory or InventoryLevel rule

    rule_type Rule Type (string)required

    Possible values: [Inventory, InventoryLevel, JoiningSessionSize, RegionList]

    What type of rule this is (determines what types of values are being compared)

    comparison_value Comparison Value (integer)

    What value is to be compared to

    comparison_value_str Comparison Value Str (string)

    A string value comprised of comma separated strings that can be used for RegionList rule with in_set or not_in_set comparison operations

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    match_making_rule_id uuidrequired

    ID to uniquely identify this MatchMakingRule

  • ]

  • ]

Loading...